package co.yixiang.yshop.module.order.service.storeorder;

import co.yixiang.yshop.module.distributor.api.dto.DistributorOrderDTO;

/**
 * 分销订单处理
 */
public interface AppDistributorOrderFacade {

    // 创建订单
    void createDistributorOrder(DistributorOrderDTO distributorOrderDTO);

    // 取消订单
    void cancelDistributorOrder(DistributorOrderDTO distributorOrderDTO);

    // 更新订单
    void updateDistributorOrder(DistributorOrderDTO distributorOrderDTO);

}
